> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#body.ListAssignedLocationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#try-it)

Lists locations assigned to a location list.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the DV360 advertiser to which the location list belongs. |
| `locationListId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the location list to which these assignments are assigned. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `200`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#body.ListAssignedLocationsResponse.FIELDS.next_page_token` returned from the previous call to `assignedLocations.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `assignedLocationId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix " desc" should be added to the field name. Example: `assignedLocationId desc`. |
| `filter` | `string` Allows filtering by location list assignment fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by the `OR` logical operator. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `EQUALS (=)` operator. Supported fields: - `assignedLocationId` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

Response message for AssignedLocationService.ListAssignedLocations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "assignedLocations": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations#AssignedLocation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `assignedLocations[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations#AssignedLocation`)`` The list of assigned locations. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.locationLists.assignedLocations/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `assignedLocations.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).